
cdef add3x3(double[:,:] a, double[:,:] b, double[:,:] r)

cdef subtract3x3(double[:, :] a, double[:, :] b, double[:, :] r)

cdef cross(double[:] a, double[:] b, double[:] r)

cdef to_skew_symmetric(double[:] a, double[:, :] m)

cdef norm3d(double[:] x)

cdef double norm_squared(double[:] x)

cdef norm_squared3d(double[:] x)

cdef scale3x3(double[:, :] x, double s)

cdef multiply3x3(double[:, :] a, double[:, :] b, double[:, :] r)

cdef copy3x3(double[:, :] a, double[:, :] r)

cdef double hadamard3x3(double[:, :] a, double[:, :] b)
